org.apache.cassandra.service

## Class PendingRangeCalculatorService

- java.lang.Object
- - org.apache.cassandra.service.PendingRangeCalculatorService

    public class PendingRangeCalculatorService
    extends java.lang.Object

### Field Summary

Fields
`static PendingRangeCalculatorService` `instance`

### Constructor Summary

Constructors
Constructor and Description
`PendingRangeCalculatorService()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `blockUntilFinished()`
`static void` `calculatePendingRanges(AbstractReplicationStrategy strategy, java.lang.String keyspaceName)`
`void` `update()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### instance

    public static final PendingRangeCalculatorService instance

### Constructor Detail

#### PendingRangeCalculatorService

    public PendingRangeCalculatorService()

### Method Detail

#### update

    public void update()

#### blockUntilFinished

    public void blockUntilFinished()

#### calculatePendingRanges

    public static void calculatePendingRanges(AbstractReplicationStrategy strategy,
                                              java.lang.String keyspaceName)